Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyRunnableBootstrap

    java.lang.Object
      org.python.core.PyRunnableBootstrap

All Implemented Interfaces:
  CodeBootstrap

    public class PyRunnableBootstrap

extends Object
implements CodeBootstrap

Field Summary
`static String` | `REFLECTION_METHOD_NAME`

Method Summary
`static CodeBootstrap` | `getFilenameConstructorReflectionBootstrap(Class<? extends PyRunnable> cls)`
`PyCode` | `loadCode(CodeLoader loader)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REFLECTION_METHOD_NAME

    public static final String REFLECTION_METHOD_NAME

See Also:
  Constant Field Values

Method Detail

### loadCode

    public PyCode loadCode(CodeLoader loader)

  Specified by:
    `loadCode` in interface `CodeBootstrap`

### getFilenameConstructorReflectionBootstrap

    public static CodeBootstrap getFilenameConstructorReflectionBootstrap(Class<? extends PyRunnable> cls)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage